<?php
/*****************************************************************************
 * DummyBox.php
 * Defines the key template DummyBox.
 *
 * Kabuki CMS (C) 2013-2015, Aaron van Geffen
 *****************************************************************************/

class DummyBox extends SubTemplate
{
	protected $_content;

	public function __construct($title = '', $content = '', $class = null)
	{
		parent::__construct($title);
		$this->_content = $content;

		if (isset($class))
			$this->_class .= $class;
	}

	protected function html_content()
	{
		if ($this->_title)
			echo '
				<h2>', $this->_title, '</h2>';

		echo $this->_content;

		foreach ($this->_subtemplates as $template)
			$template->html_main();
	}
}
